Status: Closed Start date: 07/06/2021
Category: Estimated time: 0.00 hour
Target version:

Description

Currently default settings are integrated into the source code, which makes it difficult to add or modify the built-in scripts. It would be
significantly easier if the build process automatically integrated these from an exported file.

History

#1 - 07/04/2021 04:47 AM - jahoti
- Status changed from New to In Progress
- Assignee set to jahoti

- % Done changed from 0 to 100

Patch pushed to git; awaiting acceptance/rejection from master branch.

#2 - 07/06/2021 12:06 PM - koszko

Perhaps we could load default_settings.json using XMLHttpRequest and this way reduce the complexity of build system and the amount of sed
trickery?

Everything seems good, though. Accepting.

#3 - 07/06/2021 12:16 PM - jahoti

That would be a very, very good idea (albeit much less relevant if the build system is rewritten in JS).

#4 - 07/06/2021 01:48 PM - koszko

Btw, | am considering maintaining old build.sh alongside the new build.html. Plus, IMHO, changing to use XMLHttpRequest would be a good idea in
case of the JS build system, too

#5 - 07/07/2021 12:05 AM - jahoti
- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

#6 - 07/12/2021 07:09 AM - jahoti

- Status changed from Resolved to Feedback

#7 - 07/12/2021 07:10 AM - jahoti

- Status changed from Feedback to In Progress

#8 - 07/12/2021 07:10 AM - jahoti

- Status changed from In Progress to Feedback
#9 - 07/12/2021 07:14 AM - jahoti

- Status changed from Feedback to Resolved

#10 - 11/27/2021 01:20 PM - koszko

- Status changed from Resolved to Closed
